## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanSet Class Template Reference

Xalan set implementation. More...

`#include <XalanSet.hpp>`

Collaboration diagram for XalanSet:

[legend]
List of all members.

## Public Types

- typedef Value value_type
- typedef size_t size_type
- typedef XalanMap<value_type,
  bool> SetMapType
- typedef XalanSetIterator<value_type,
  typename SetMapType::iterator> iterator
- typedef XalanSetIterator<const
  value_type, typename SetMapType::const_iterator> const_iterator

## Public Methods

- XalanSet (MemoryManagerType &theMemoryManager)
- XalanSet (const XalanSet &other, MemoryManagerType &theMemoryManager)
- MemoryManagerType& getMemoryManager ()
- const_iterator begin () const
- const_iterator end () const
- size_type size () const
- size_type count (const value_type &value) const
- const_iterator find (const value_type &value) const
- void insert (const value_type &value)
- size_type erase (const value_type &value)
- void clear ()

## Public Attributes

- SetMapType m_map

## Detailed Description

### template<class Value> class XalanSet

Xalan set implementation.

Set relies on the XalanMap hashtable. Users must ensure the right key traits specialization is aviable to define the proper hash functor.

## Member Typedef Documentation

template<class Value>
typedef XalanMap< value_type, bool > XalanSet<Value>::SetMapType<value_type, bool>

template<class Value>
typedef XalanSetIterator< const value_type, typename SetMapType::const_iterator > XalanSet<Value>::const_iterator<const value_type, typename SetMapType::const_iterator>

template<class Value>
typedef XalanSetIterator< value_type, typename SetMapType::iterator > XalanSet<Value>::iterator<value_type, typename SetMapType::iterator>

template<class Value>
typedef size_t XalanSet<Value>::size_type

template<class Value>
typedef Value XalanSet<Value>::value_type

## Constructor & Destructor Documentation

template<class Value>
XalanSet<Value>::XalanSet<Value> ( | MemoryManagerType & theMemoryManager )

template<class Value>
XalanSet<Value>::XalanSet<Value> ( | const XalanSet<Value> & other,
| MemoryManagerType & theMemoryManager )

## Member Function Documentation

template<class Value>
const_iterator XalanSet<Value>::begin ( | ) const

template<class Value>
void XalanSet<Value>::clear ( | )

template<class Value>
size_type XalanSet<Value>::count ( | const value_type & value ) const

template<class Value>
const_iterator XalanSet<Value>::end ( | ) const

template<class Value>
size_type XalanSet<Value>::erase ( | const value_type & value )

template<class Value>
const_iterator XalanSet<Value>::find ( | const value_type & value ) const

template<class Value>
MemoryManagerType & XalanSet<Value>::getMemoryManager ( | )

template<class Value>
void XalanSet<Value>::insert ( | const value_type & value )

template<class Value>
size_type XalanSet<Value>::size ( | ) const

## Member Data Documentation

template<class Value>
SetMapType XalanSet<Value>::m_map

The documentation for this class was generated from the following file:

- XalanSet.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.